Index: sysdeps/x86_64/memcpy.S
===================================================================
--- sysdeps/x86_64/memcpy.S.orig	2007-11-06 03:49:38.000000000 +0100
+++ sysdeps/x86_64/memcpy.S	2009-03-23 16:32:42.000000000 +0100
@@ -39,7 +39,7 @@
 
         .text
 
-#if defined PIC && !defined NOT_IN_libc
+#if defined PIC && !defined NOT_IN_libc && !defined USE_AS_BCOPY
 ENTRY (__memcpy_chk)
 
 	cmpq	%rdx, %rcx
